Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 09 Mar 2023 04:09:10 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I am writing to inform you of my disappointment everytime I tried to psy using my card. I always get
 Sorry, your payment didn't go through. Please try again at https://centrepoint.app.link/XMe2Ll5x0xb. Please contact your bank if any amount has been debited.
 I used my card online for every purchase snd sometimes international orders  never any problem but everytime i tried on splash online or centre point, there is always a problem.

There is absolutely no issue with my card. I even tried using my husband card  sane thing. You left me with no choixe but to select cash on delivery by charging extra aed10 on top of delivery fee which is not right. 

You need to fix this problem asap. This is not a good customer experience at all.

Thank you for looking into this matter at the earliest.

I look forward to hearing back from you soon. 

Regards,

Vandanah https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5815128